# Multicast test scenario

Test UDP and Ethernet multicast faces.

1.  Start NFD on A, B, and C.
2.  On host A, insert FIB entry `ndn:/test-mcast` to either UDP or Ethernet multicast face on experiment NIC.
3.  On host B, start traffic generator producer to serve `ndn:/test-mcast/B`, `ndn:/test-mcast/Z`.
4.  On host C, start traffic generator producer to serve `ndn:/test-mcast/C`, `ndn:/test-mcast/Z`.
5.  On host A, invoke `ndn-tlv-peek ndn:/test-mcast/B/1`.
    Fail the test if this Interest is unanswered.
6.  On host A, invoke `ndn-tlv-peek ndn:/test-mcast/C/1`.
    Fail the test if this Interest is unanswered.
7.  On host A, invoke `ndn-tlv-peek ndn:/test-mcast/Z/1`.
    Fail the test if this Interest is unanswered.
8.  On host B, kill the producer.
9.  On host A, invoke `ndn-tlv-peek ndn:/test-mcast/Z/2`.
    Fail the test if this Interest is unanswered.
