# Route expiration test scenario

Test that routes in the RIB expire when expected

1.  Start NFD (including RIB Daemon) on A,B,C

2.  Add the following routes on A:
      ndn:/P , nexthop=hostB, expiration=10s
      ndn:/P , nexthop=hostC, expiration=20s
      ndn:/Q , nexthop=hostB, expiration=20s
      ndn:/R , nexthop=hostC, expiration=10s
      ndn:/S , nexthop=hostB, expiration=3600s

3.  Delay 5 seconds; run nfd-status on A to inspect RIB
    Expected routes:
      ndn:/P (hostB expires in 3-8s, hostC expires in 13-18s)
      ndn:/Q (hostB expires in 13-18s)
      ndn:/R (hostC expires in 3-8s)
      ndn:/S (hostB expires in >3000s)

4.  Delay 10 seconds; run nfd-status on A to inspect RIB
    Expected routes:
      ndn:/P (hostC expires in 3-8s)
      ndn:/Q (hostB expires in 3-8s)
      ndn:/R : entry does not exist
      ndn:/S (hostB expires in >3000s)

5.  Delay 8 seconds; run nfd-status on A to inspect RIB
    Expected routes:
      ndn:/P : entry does not exist
      ndn:/Q : entry does not exist
      ndn:/R : entry does not exist
      ndn:/S (hostB expires in >3000s)
