#!/usr/bin/python2
# -*- Mode:python; c-file-style:"gnu"; indent-tabs-mode:nil -*- */
#
# Copyright (C) 2014 The University of Memphis
# Author: Vince Lehman <vslehman@memphis.edu>
# See COPYING for copyright and distribution information.
#

import os
import unittest
import subprocess

class test_route_expiration(unittest.TestCase):
    """Test case for NRD route expiration"""

    def setUp(self):
        print "\nTesting NRD route expiration"
        print "***********"
        os.chdir("test_route_expiration")

    def tearDown(self):
        print "***********"
        os.chdir("..")

    def test_nrd(self):
        ret = subprocess.call(["./route-expiration-test.sh"], shell=True)

        if ret != 0:
            self.fail("NRD route expiration test FAILED")
        else:
            print "NRD route expiration test PASSED"
